import 'dart:convert';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart' show rootBundle;
import 'package:english_words/english_words.dart';


const String filePath = '../assets/data.json';

class AppState extends ChangeNotifier {
    var input = "";
    var data = "";
    var jfavorites = <dynamic>[];

    Future<String> loadData() async {
        input = await rootBundle.loadString(filePath);
        data = jsonDecode(input);
        return data;
    }

    // Implémenter fonction getData

    void addToFav(dynamic obj){
        jfavorites.add(obj);
    }
    var current = WordPair.random();

  void getNext(){
    current = WordPair.random();
    notifyListeners();
  }
  var favorites = <WordPair>[];

  void toggleFavorite() {
    if (favorites.contains(current)) {
      favorites.remove(current);
    } else {
      favorites.add(current);
    }
    notifyListeners();
  }
}
